Valorant API Unofficial docs
API Reference Restrictions
GET

Penalties

Get the matchmaking penalties for the given player

Internal name Restrictions_FetchPlayerRestrictionsV3 Server PD · shard Auth Bearer + Entitlements
GET https://pd.{shard}.a.pvp.net/restrictions/v3/penalties
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

Subject string · uuid

Player UUID

Penalties array[object]
Show nested attributes Hide nested attributes 23
ID string · uuid

UUID

IssuingGameStartUnixMillis number
IssuingMatchID string · uuid

Match ID

Expiry string
GamesRemaining number
ApplyToAllPlatforms boolean
ApplyToPlatforms array[string]
ApplyToPlatformGroups array[string]
InfractionID string · uuid

UUID

Origin string
ForgivenessIneligible boolean
IsAutomatedDetection boolean
PenaltyInfo any nullable
DelayedPenaltyEffect any nullable
GameBanEffect any nullable
QueueDelayEffect any nullable
QueueRestrictionEffect any nullable
RankedRatingPenaltyEffect any nullable
RiotRestrictionEffect any nullable
RMSNotifyEffect any nullable
WarningEffect object nullable
Show nested attributes Hide nested attributes 3
WarningType string
WarningTier number
ParentCentralRecordID string
XPMultiplierEffect any nullable
PremierRestrictionEffect any nullable
Infractions array[object] optional
Show nested attributes Hide nested attributes 3
ID string · uuid

UUID

Name string
RatingName string
Version number